# List all customs declarations Returns a list of all customs declaration objects Endpoint: GET /customs/declarations Version: 2018-02-08 Security: APIKeyHeader ## Query parameters: - `page` (integer) The page number you want to select - `results` (integer) The number of results to return per page (max 100, default 5) ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `next` (string) Example: "baseurl?page=3&results=10" - `previous` (string) Example: "baseurl?page=1&results=10" - `results` (array) - `results.aes_itn` (string) required if eel_pfc is AES_ITN AES / ITN reference of the shipment. - `results.b13a_filing_option` (string) B13A Option details are obtained by filing a B13A Canada Export Declaration via the Canadian Export Reporting System (CERS). More information on reporting commercial exports from Canada. Allowed values available here Example: "FILED_ELECTRONICALLY" - `results.b13a_number` (string) must be provided if and only if b13a_filing_option is provided Represents: the Proof of Report (POR) Number when b13a_filing_option is FILED_ELECTRONICALLY; the Summary ID Number when b13a_filing_option is SUMMARY_REPORTING; or the Exemption Number when b13a_filing_option is NOT_REQUIRED. - `results.certificate` (string) Certificate reference of the shipment. - `results.certify` (boolean, required) Expresses that the certify_signer has provided all information of this customs declaration truthfully. Example: true - `results.certify_signer` (string, required) Name of the person who created the customs declaration and is responsible for the validity of all information provided. Example: "Shawn Ippotle" - `results.commercial_invoice` (boolean) - `results.contents_explanation` (string) required if contents_type is OTHER Explanation of the type of goods of the shipment. Example: "T-Shirt purchase" - `results.disclaimer` (string) Disclaimer for the shipment and customs information that have been provided. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Max 554 characters | - `results.duties_payor` (object) Specifies who will pay the duties for the shipment. Only accepted for FedEx shipments. - `results.duties_payor.account` (string) Account number to be billed for duties. Example: "2323434543" - `results.duties_payor.type` (any) Party to be billed for duties. Enum: "SENDER", "RECIPIENT", "THIRD_PARTY" - `results.duties_payor.address` (object) - `results.duties_payor.address.name` (string) Name of the party to be billed for duties. Example: "Patrick Kavanagh" - `results.duties_payor.address.zip` (string) Postal code of the party to be billed for duties. Example: "80331" - `results.duties_payor.address.country` (string) Country ISO code of account number to be billed. Example: "DE" - `results.exporter_identification` (object) Additional exporter identification that may be required to ship in certain countries - `results.exporter_identification.eori_number` (string) Economic Operators' Registration and Identification (EORI) number. Must start with a 2 character country code followed by a 6-17 character alphanumeric identifier (e.g. PL1234567890ABCDE). More information on EORI. Example: "PL123456790ABCDE" - `results.exporter_identification.tax_id` (object) Tax identification that may be required to ship in certain countries. Typically used to assess duties on goods that are crossing a border. - `results.exporter_identification.tax_id.number` (string) Tax identification number. Example: "123456789" - `results.exporter_identification.tax_id.type` (any) Type of tax identification. * EIN - Employer Identification Number, also known as a Federal Tax Identification Number. * VAT - Value Added Tax identification number. * IOSS - Import One-Stop Shop * ARN - Australian Taxation Office Reference Number Enum: "EIN", "VAT", "IOSS", "ARN" - `results.exporter_reference` (string) Exporter reference of an export shipment. - `results.importer_reference` (string) Importer reference of an import shipment. - `results.is_vat_collected` (boolean) Indicates whether the shipment's destination VAT has been collected. May be required for some destinations. - `results.invoice` (string) Invoice reference of the shipment. Example: "#123123" - `results.license` (string) License reference of the shipment. - `results.metadata` (string) A string of up to 100 characters that can be filled with any additional information you want to attach to the object. Example: "Order ID #123123" - `results.notes` (string) Additional notes to be included in the customs declaration. - `results.address_importer` (string) Object ID of the Importer address. Example: "257ba08436604d2aaf069caafe7acb2a" - `results.contents_type` (string, required) Type of goods of the shipment. Allowed values available here - `results.eel_pfc` (string) EEL / PFC type of the shipment. For most shipments from the US to CA, NOEEI_30_36 is applicable; for most other shipments from the US, NOEEI_30_37_a is applicable. Allowed values available here - `results.incoterm` (string) The incoterm reference of the shipment. FCA is available for DHL Express and FedEx only. eDAP is available for DPD UK only. DAP is available for DHL Express, FedEx, and DPD UK. If expecting DAP for other carriers, please use DDU. Allowed values available here Carrier-specific restrictions are in the table below. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Must be one of DDP, DDU, FCA, DAP | - `results.invoiced_charges` (object) Additional invoiced charges to be shown on the Customs Declaration Commercial Invoice. - `results.invoiced_charges.currency` (string, required) Currency for the invoiced charges amounts incurred on the end consumer. - `results.invoiced_charges.total_shipping` (string) Total shipping paid by the buyer. - `results.invoiced_charges.total_taxes` (string) Total taxes paid by the buyer. - `results.invoiced_charges.total_duties` (string) Total duties paid by the buyer. - `results.invoiced_charges.other_fees` (string) Other fees paid by the buyer. - `results.items` (array, required) Distinct Parcel content items as Customs Items object_ids. Example: ["5087f181d1dc4b14b73fdbf636498886"] - `results.non_delivery_option` (string, required) Indicates how the carrier should proceed in case the shipment can't be delivered. Allowed values available here - `results.object_created` (string) Date and time of object creation. Example: "2014-07-17T01:01:08.306Z" - `results.object_id` (string) Unique identifier of the given object. Example: "e2197a54da9d470480f4f8796cc419cb" - `results.object_owner` (string) Username of the user who created the object. Example: "shippotle@shippo.com" - `results.object_state` (string) Indicates the validity of the enclosing object Enum: "VALID", "INVALID" - `results.object_updated` (string) Date and time of last object update. Example: "2014-07-17T01:01:08.306Z" - `results.test` (boolean) Indicates whether the object has been created in test mode. Example: true